Modify

Opened 7 years ago

Closed 7 years ago

#7259 closed defect (fixed)

Oops usb-storage

Reported by: pesos Owned by: developers
Priority: high Milestone: Backfire 10.03.1
Component: packages Version: Backfire 10.03
Keywords: Cc:

Description

i have WRT54G3G v1.1 + pcmcia card 2xUSB + USB pendrive kingston
on this have installed block-extroot. And I create image using image builder brcm-2.4. When WRT boot correctly with overlay mounted on pendrive i try install package and i have in dmesg :

Unable to handle kernel paging request at virtual address 0000001b, epc == c0109c24, ra == c0109b58
Oops in fault.c::do_page_fault, line 206:
$0 : 00000000 1000fc00 8051e800 00000000 80eb0118 00000000 00000000 80eb00c0
$8 : 00000000 801316b8 00000000 80184000 00000000 a0cd80c0 00000200 00000400
$16: 80ccc000 80ef817c 00000000 00002000 00000488 80ccc000 c0010200 00000000
$24: 00000001 c00decdc 80d38000 80d39df8 00000000 c0109b58
Hi : 00000000
Lo : 00000000
epc : c0109c24 Tainted: P
Status: 1000fc03
Cause : 00000008
PrId : 00029007
Process usb-storage-0 (pid: 142, stackpage=80d38000)
Stack: 801a0000 80c6fe2f 00000000 80180000 80018400 02000001 80ef8000

80ef817c c0010200 00300000 80d39e90 00002000 8051e7e0 c0110000 00000000
c010a0c0 8051e540 0000001f 8051e7e0 c0110000 80ccc000 00000002 00002000
00000030 ffffff7d 80ef8000 00002000 80ef8000 00000000 80ef8a00 c010a320
00000000 c0109348 c00decdc 00000400 80d39eb8 00002000 80d39e90 1000fc01
80ef8008 ...

Call Trace: [<80018400>] [<c0110000>] [<c010a0c0>] [<c0110000>] [<c010a320>]

[<c0109348>] [<c00decdc>] [<c010ae9c>] [<80010000>] [<c010a444>] [<80010000>]
[<c01177d4>] [<80018060>] [<80010000>] [<c01177d4>] [<c0108bd4>] [<800180fc>]
[<c010ba40>] [<c00df4b8>] [<8000fb34>] [<c010b5a0>] [<c01177d4>] [<c010b5a0>]
[<80003570>] [<80011a20>] [<c010abe0>] [<c00d502c>] [<80003560>]

Code: 8e030004 01021021 8c470000 <9064001b> 3c02801a 244275d4 00042080 00822021 8c820000
usb.c: USB disconnect on device 02:00.2-2 address 2

Attachments (2)

openwrt_externalroot_usb.txt (2.2 KB) - added by pesos <mormo_dark@…> 7 years ago.
openwrt_externalroot_usb.txt
openwrt_externalroot_usb_2.txt (1.1 KB) - added by pesos <mormo_dark@…> 7 years ago.

Download all attachments as: .zip

Change History (17)

comment:1 follow-up: Changed 7 years ago by b.sander

Hi,

I've patched the brcm47xx target kernel, this looks like a returned err that is unhandled in mini_fo (ffffff7d == -EACCES). This works for me on a 2.6 kernel:

--- linux-2.6.32/fs/mini_fo/meta.c.bak	2010-03-31 16:46:07.000000000 +0200
+++ linux-2.6.32/fs/mini_fo/meta.c	2010-04-03 01:59:03.000000000 +0200
@@ -48,7 +48,12 @@
 					     dtohd2(dentry),
 					     strlen(META_FILENAME));
 		mutex_unlock(&dtohd2(dentry)->d_inode->i_mutex);
-		if(!meta_dentry->d_inode) {
+
+		if (IS_ERR(meta_dentry)) {
+			goto out;
+		}
+		  
+		if (!meta_dentry->d_inode) {
 			dput(meta_dentry);
 			goto out_ok;
 		}
@@ -142,6 +147,8 @@
 	return -1;
  out_ok:
 	return 1; /* check this!!! inode_info->wol_size; */
+ out:
+	return PTR_ERR(meta_dentry);
 }
 
 /* cleanups up all lists and free's the mem by dentry */

Regards

comment:2 in reply to: ↑ 1 ; follow-up: Changed 7 years ago by pesos <mormo_dark@…>

Replying to b.sander:

Hi,

I've patched the brcm47xx target kernel, this looks like a returned err that is unhandled in mini_fo (ffffff7d == -EACCES). This works for me on a 2.6 kernel:

--- linux-2.6.32/fs/mini_fo/meta.c.bak	2010-03-31 16:46:07.000000000 +0200
+++ linux-2.6.32/fs/mini_fo/meta.c	2010-04-03 01:59:03.000000000 +0200
@@ -48,7 +48,12 @@
 					     dtohd2(dentry),
 					     strlen(META_FILENAME));
 		mutex_unlock(&dtohd2(dentry)->d_inode->i_mutex);
-		if(!meta_dentry->d_inode) {
+
+		if (IS_ERR(meta_dentry)) {
+			goto out;
+		}
+		  
+		if (!meta_dentry->d_inode) {
 			dput(meta_dentry);
 			goto out_ok;
 		}
@@ -142,6 +147,8 @@
 	return -1;
  out_ok:
 	return 1; /* check this!!! inode_info->wol_size; */
+ out:
+	return PTR_ERR(meta_dentry);
 }
 
 /* cleanups up all lists and free's the mem by dentry */

Regards

Hi,

Thanks for reply

Can I somehow convert it for kernel 2.4 for test ?

I already tried 2.6 kernel usb-storage is working properly but the wifi does not work properly.

comment:3 in reply to: ↑ 2 Changed 7 years ago by b.sander

Replying to pesos <mormo_dark@…>:

Can I somehow convert it for kernel 2.4 for test ?

--- b/fs/mini_fo/meta.c.bak	2010-05-01 16:23:28.000000000 +0200
+++ b/fs/mini_fo/meta.c	2010-05-01 16:28:04.000000000 +0200
@@ -46,6 +46,10 @@
 		meta_dentry = lookup_one_len(META_FILENAME,
 					     dtohd2(dentry), 
 					     strlen(META_FILENAME));
+
+		if(IS_ERR(meta_dentry))
+			goto out;
+
 		if(!meta_dentry->d_inode) {
 			dput(meta_dentry);
 			goto out_ok;
@@ -140,6 +144,8 @@
 	return -1;
  out_ok:
 	return 1; /* check this!!! inode_info->wol_size; */ 
+ out:
+	return PTR_ERR(meta_dentry);
 }
 
 /* cleanups up all lists and free's the mem by dentry */

Regards

comment:4 follow-up: Changed 7 years ago by pesos <mormo_dark@…>

hi,
I patched /backfire/build_dir/toolchain-mipsel_gcc-3.4.6_uClibc-0.9.30.1/linux-2.4.37.9/fs/mini_fo/meta.c and i have kernel panic ;) When i remove pendrive system starts ok. May be doing somethink wrong ?

regards

CFE version 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: Mon Jul 3 15:34:01 CST 2006 (root@RedHat9)
Copyright (C) 2000,2001,2002,2003 Broadcom Corporation.

Initializing Arena
Initializing Devices.

No DPN
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller 3.90.37.0
rndis0: Broadcom USB RNDIS Network Adapter (P-t-P)
CPU type 0x29007: 200MHz
Total memory: 16384 KBytes

Total memory used by CFE: 0x80300000 - 0x803A3A00 (670208)
Initialized Data: 0x80339910 - 0x8033C020 (10000)
BSS Area: 0x8033C020 - 0x8033DA00 (6624)
Local Heap: 0x8033DA00 - 0x803A1A00 (409600)
Stack Area: 0x803A1A00 - 0x803A3A00 (8192)
Text (code) segment: 0x80300000 - 0x80339910 (235792)
Boot area (physical): 0x003A4000 - 0x003E4000
Relocation Factor: I:00000000 - D:00000000

Boot version: v3.6
The boot is CFE

mac_init(): Find mac in location 1
Nothing...

No eou key find
Device eth0: hwaddr 00-18-F8-F5-F9-5D, ipaddr 192.168.1.1, mask 255.255.255.0

gateway not set, nameserver not set

Reading :: Failed.: Timeout occured
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3760 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
CPU revision is: 00029007
Primary instruction cache 8kB, physically tagged, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, linesize 16 bytes.
Linux version 2.4.37.9 (mormo@dell) (gcc version 3.4.6 (OpenWrt-2.0)) #3 Sat May 1 21:39:09 CEST 2010
Determined physical RAM map:

memory: 01000000 @ 00000000 (usable)

On node 0 totalpages: 4096
zone(0): 4096 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
CPU: BCM4712 rev 1 at 200 MHz
Using 100.000 MHz high precision timer.
Calibrating delay loop... 197.83 BogoMIPS
Memory: 14240k/16384k available (1447k kernel code, 2144k reserved, 100k data, 84k init, 0k highmem)
Dentry cache hash table entries: 2048 (order: 2, 16384 bytes)
Inode cache hash table entries: 1024 (order: 1, 8192 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 4096 (order: 2, 16384 bytes)
Checking for 'wait' instruction... unavailable.
POSIX conformance testing by UNIFIX
PCI: Initializing host
PCI: Fixing up bus 0
PCI: Fixing up bridge
PCI: Fixing up bus 1
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
Registering mini_fo version $Id$
devfs: v1.12c (20020818) Richard Gooch (rgooch@…)
devfs: boot_options: 0x1
JFFS2 version 2.1. (C) 2001 Red Hat, Inc., designed by Axis Communications AB.
squashfs: version 3.0 (2006/03/15) Phillip Lougher
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0xb8000300 (irq = 3) is a 16550A
ttyS01 at 0xb8000400 (irq = 3) is a 16550A
b44.c:v0.93 (Mar, 2004)
eth0: Broadcom 47xx 10/100BaseT Ethernet 00:18:f8:f5:f9:5d
cfi_cmdset_0001: Erase suspend on write enabled
Using word write method
Flash device: 0x400000 at 0x1c000000
bootloader size: 262144
Physically mapped flash: Filesystem type: squashfs, size=0x192726
Creating 5 MTD partitions on "Physically mapped flash":
0x00000000-0x00040000 : "cfe"
0x00040000-0x003f0000 : "linux"
0x000bc000-0x00250000 : "rootfs"
mtd: partition "rootfs" doesn't start on an erase block boundary -- force read-only
0x003f0000-0x00400000 : "nvram"
0x00250000-0x003f0000 : "rootfs_data"
sflash: found no supported devices
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 1024 bind 2048)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
NET4: Ethernet Bridge 008 for NET4.0
802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
All bugs added by David S. Miller <davem@…>
VFS: Mounted root (squashfs filesystem) readonly.
Mounted devfs on /dev
Freeing unused kernel memory: 84k freed
Linux Kernel Card Services 3.1.22

options: [pci] [cardbus]

ds: no socket drivers loaded!
insmod: init_module: ds: Operation not permitted
insmod: can't insert 'ds': Operation not permitted
PCI: Enabling device 01:01.0 (0000 -> 0002)
Yenta ISA IRQ mask 0x06f8, PCI irq 2
Socket status: 30000820
cs: cb_alloc(bus 2): vendor 0x1033, device 0x0035
PCI: Enabling device 02:00.0 (0000 -> 0002)
PCI: Enabling device 02:00.1 (0000 -> 0002)
PCI: Enabling device 02:00.2 (0000 -> 0002)
mount: mounting sysfs on /sys failed: No such device
mount: mounting devfs on /dev failed: Device or resource busy
diag: Detected 'Linksys WRT54G3G'
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
roboswitch: Probing device eth0: found a 5325! It's a 5350.
switch-robo 5580 0 (unused)

  • preinit -

b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
Press the [f] key and hit [enter] to enter failsafe mode

  • regular preinit -

b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
SCSI subsystem driver Revision: 1.00
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
Journalled Block Device driver loaded
ehci_hcd 02:00.2: PCI device 1033:00e0
ehci_hcd 02:00.2: irq 2, pci mem c011c000
usb.c: new USB bus registered, assigned bus number 1
ehci_hcd 02:00.2: USB 2.0 enabled, EHCI 1.00, driver 2003-Dec-29/2.4
hub.c: USB hub found
hub.c: 5 ports detected
usb-ohci.c: USB OHCI at membase 0xb8004000, IRQ 2
usb-ohci.c: usb-00:04.0, PCI device 14e4:4716
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-ohci.c: USB OHCI at membase 0xc0124000, IRQ 2
usb-ohci.c: usb-02:00.0, PCI device 1033:0035
usb.c: new USB bus registered, assigned bus number 3
hub.c: USB hub found
hub.c: 3 ports detected
usb-ohci.c: USB OHCI at membase 0xc0126000, IRQ 2
usb-ohci.c: usb-02:00.1, PCI device 1033:0035
usb.c: new USB bus registered, assigned bus number 4
hub.c: USB hub found
hub.c: 2 ports detected
hub.c: new USB device 02:00.2-1, assigned address 2
usb.c: USB device 2 (vend/prod 0x951/0x1600) is not claimed by any active driver.
uhci.c: USB Universal Host Controller Interface driver v1.1
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices

Vendor: Kingston Model: DataTraveler II Rev: 1.13
Type: Direct-Access ANSI SCSI revision: 02

Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 502784 512-byte hdwr sectors (257 MB)
sda: Write Protect is off
Partition check:

/dev/scsi/host0/bus0/target0/lun0: p1 p2

USB Mass Storage support registered.
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended
switching to external rootfs
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.

  • init -

b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
Kernel panic: Attempted to kill init!

<0>Rebooting in 5 seconds..Please stand by while rebooting the system...

comment:5 in reply to: ↑ 4 ; follow-up: Changed 7 years ago by anonymous

Replying to pesos <mormo_dark@…>:

hi,
I patched /backfire/build_dir/toolchain-mipsel_gcc-3.4.6_uClibc-0.9.30.1/linux-2.4.37.9/fs/mini_fo/meta.c and i have kernel panic ;) When i remove pendrive system starts ok. May be doing somethink wrong ?

Hi,
maybe you wanna try a clean setup on your stick!? So just format the stick and copy /overlay from flash?! Or you may try setup /etc/config/fstab the 'noatime' as option for the overlay mount and do a manual check on the sticks filesystem.

Regards

comment:6 in reply to: ↑ 5 ; follow-up: Changed 7 years ago by pesos <mormo_dark@…>

maybe you wanna try a clean setup on your stick!? So just format the stick and copy /overlay from flash?! Or you may try setup /etc/config/fstab the 'noatime' as option for the overlay mount and do a manual check on the sticks filesystem.

Regards

I format and change stick on other, and check manual filesystem. I cannot copy files (cp /tmp/root/* /mnt -a) because i have kernel panic when i want do somethink on /opverlay (usb stick). I tested various configurations may have something I can report.

comment:7 in reply to: ↑ 6 ; follow-up: Changed 7 years ago by anonymous

Replying to pesos <mormo_dark@…>:

I format and change stick on other, and check manual filesystem. I cannot copy files (cp /tmp/root/* /mnt -a) because i have kernel panic when i want do somethink on /opverlay (usb stick). I tested various configurations may have something I can report.

No, insert stick after a boot

  • then mount it on /mnt
  • cp -a /overlay /mnt just overlay not the hole root
  • then edit /etc/config/fstab
  • reboot

comment:8 in reply to: ↑ 7 ; follow-up: Changed 7 years ago by pesos <mormo_dark@…>

Replying to anonymous:

Replying to pesos <mormo_dark@…>:

I format and change stick on other, and check manual filesystem. I cannot copy files (cp /tmp/root/* /mnt -a) because i have kernel panic when i want do somethink on /opverlay (usb stick). I tested various configurations may have something I can report.

No, insert stick after a boot

  • then mount it on /mnt

i have error, i do this:
boot wrt54g3g
when system start i insert usb stick
mount stick on /usb
cp -a /overlay /usb
cp: cannot stat '/usb/overlay': Input/output error

btw. i dont know for what i must copy overlay on stick ? :)

comment:9 Changed 7 years ago by pesos <mormo_dark@…>

hi,

it's a full logs with last patch form https://dev.openwrt.org/ticket/7277

BusyBox v1.15.3 (2010-05-03 08:06:27 CEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

_

| |.-----.-----.-----.| | | |.----.| |_

| - |_
_ | -| | | _ _|
|_||| ||

|| W I R E L E S S F R E E D O M

Backfire (10.03, r21332) --------------------------

  • 1/3 shot Kahlua In a shot glass, layer Kahlua
  • 1/3 shot Bailey's on the bottom, then Bailey's,
  • 1/3 shot Vodka then Vodka.

---------------------------------------------------

root@OpenWrt:/#
root@OpenWrt:/# dmesg
CPU revision is: 00029007
Primary instruction cache 8kB, physically tagged, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, linesize 16 bytes.
Linux version 2.4.37.9 (mormo@dell) (gcc version 3.4.6 (OpenWrt-2.0)) #3 Mon May 3 08:28:22 CEST 2010
Determined physical RAM map:

memory: 01000000 @ 00000000 (usable)

On node 0 totalpages: 4096
zone(0): 4096 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
CPU: BCM4712 rev 1 at 200 MHz
Using 100.000 MHz high precision timer.
Calibrating delay loop... 197.83 BogoMIPS
Memory: 14240k/16384k available (1447k kernel code, 2144k reserved, 100k data, 84k init, 0k highmem)
Dentry cache hash table entries: 2048 (order: 2, 16384 bytes)
Inode cache hash table entries: 1024 (order: 1, 8192 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 4096 (order: 2, 16384 bytes)
Checking for 'wait' instruction... unavailable.
POSIX conformance testing by UNIFIX
PCI: Initializing host
PCI: Fixing up bus 0
PCI: Fixing up bridge
PCI: Setting latency timer of device 01:00.0 to 64
PCI: Fixing up bus 1
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
Registering mini_fo version $Id$
devfs: v1.12c (20020818) Richard Gooch (rgooch@…)
devfs: boot_options: 0x1
JFFS2 version 2.1. (C) 2001 Red Hat, Inc., designed by Axis Communications AB.
squashfs: version 3.0 (2006/03/15) Phillip Lougher
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0xb8000300 (irq = 3) is a 16550A
ttyS01 at 0xb8000400 (irq = 3) is a 16550A
b44.c:v0.93 (Mar, 2004)
PCI: Setting latency timer of device 00:02.0 to 64
eth0: Broadcom 47xx 10/100BaseT Ethernet 00:18:f8:f5:f9:5d
Physically mapped flash: Found an alias at 0x400000 for the chip at 0x0
Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
Physically mapped flash: Found an alias at 0xc00000 for the chip at 0x0
Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
Physically mapped flash: Found an alias at 0x1400000 for the chip at 0x0
Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
Physically mapped flash: Found an alias at 0x1c00000 for the chip at 0x0
cfi_cmdset_0001: Erase suspend on write enabled
0: offset=0x0,size=0x2000,blocks=8
1: offset=0x10000,size=0x10000,blocks=63
Using word write method
Flash device: 0x400000 at 0x1c000000
bootloader size: 262144
Physically mapped flash: Filesystem type: squashfs, size=0x1c4cc1
Updating TRX offsets and length:
old trx = [0x0000001c, 0x00000904, 0x0007c000], len=0x00271000 crc32=0x376b340b
new trx = [0x0000001c, 0x00000904, 0x0007c000], len=0x00250000 crc32=0x4dbf1bfc
Done
Creating 5 MTD partitions on "Physically mapped flash":
0x00000000-0x00040000 : "cfe"
0x00040000-0x003f0000 : "linux"
0x000bc000-0x00290000 : "rootfs"
mtd: partition "rootfs" doesn't start on an erase block boundary -- force read-only
0x003f0000-0x00400000 : "nvram"
0x00290000-0x003f0000 : "rootfs_data"
sflash: found no supported devices
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 1024 bind 2048)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
NET4: Ethernet Bridge 008 for NET4.0
802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
All bugs added by David S. Miller <davem@…>
VFS: Mounted root (squashfs filesystem) readonly.
Mounted devfs on /dev
Freeing unused kernel memory: 84k freed
Linux Kernel Card Services 3.1.22

options: [pci] [cardbus]

ds: no socket drivers loaded!
PCI: Enabling device 01:01.0 (0000 -> 0002)
Yenta ISA IRQ mask 0x06f8, PCI irq 2
Socket status: 30000820
cs: cb_alloc(bus 2): vendor 0x1033, device 0x0035
PCI: Enabling device 02:00.0 (0000 -> 0002)
PCI: Enabling device 02:00.1 (0000 -> 0002)
PCI: Enabling device 02:00.2 (0000 -> 0002)
diag: Detected 'Linksys WRT54G3G'
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
roboswitch: Probing device eth0: found a 5325! It's a 5350.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
mini_fo: using base directory: /
mini_fo: using storage directory: /tmp/root
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
jffs2.bbc: SIZE compression mode activated.
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
SCSI subsystem driver Revision: 1.00
eth0.0: add 01:00:5e:00:00:01 mcast address to master interface
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
eth0.1: add 01:00:5e:00:00:01 mcast address to master interface
eth0.0: dev_set_promiscuity(master, 1)
device eth0 entered promiscuous mode
device eth0.0 entered promiscuous mode
br-lan: port 1(eth0.0) entering learning state
br-lan: port 1(eth0.0) entering forwarding state
br-lan: topology change detected, propagating
PCI: Setting latency timer of device 00:01.0 to 64
PCI/DMA
wl0: wlc_attach: chiprev 1 coreunit 0 corerev 7 cccap 0x4876a maccap 0x0 band 2.4G, phy_type 2 phy_rev 2 ana_rev 2
wl0: Broadcom BCM4320 802.11 Wireless Controller 4.150.10.5
Journalled Block Device driver loaded
ip_tables: (C) 2000-2002 Netfilter core team
ehci_hcd 02:00.2: PCI device 1033:00e0
ehci_hcd 02:00.2: irq 2, pci mem c01d1000
usb.c: new USB bus registered, assigned bus number 1
ehci_hcd 02:00.2: USB 2.0 enabled, EHCI 1.00, driver 2003-Dec-29/2.4
hub.c: USB hub found
hub.c: 5 ports detected
ip_conntrack version 2.1 (5953 buckets, 5953 max) - 352 bytes per conntrack
hub.c: new USB device 02:00.2-1, assigned address 2
usb.c: USB device 2 (vend/prod 0x951/0x1600) is not claimed by any active driver.
PCI: Setting latency timer of device 00:04.0 to 64
usb-ohci.c: USB OHCI at membase 0xb8004000, IRQ 2
usb-ohci.c: usb-00:04.0, PCI device 14e4:4716
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Setting latency timer of device 02:00.0 to 64
usb-ohci.c: USB OHCI at membase 0xc0243000, IRQ 2
usb-ohci.c: usb-02:00.0, PCI device 1033:0035
usb.c: new USB bus registered, assigned bus number 3
hub.c: USB hub found
hub.c: 3 ports detected
PCI: Setting latency timer of device 02:00.1 to 64
usb-ohci.c: USB OHCI at membase 0xc0245000, IRQ 2
usb-ohci.c: usb-02:00.1, PCI device 1033:0035
usb.c: new USB bus registered, assigned bus number 4
hub.c: USB hub found
hub.c: 2 ports detected
uhci.c: USB Universal Host Controller Interface driver v1.1
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices

Vendor: Kingston Model: DataTraveler II Rev: 1.13
Type: Direct-Access ANSI SCSI revision: 02

Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 502784 512-byte hdwr sectors (257 MB)
sda: Write Protect is off
Partition check:

/dev/scsi/host0/bus0/target0/lun0: p1 p2

WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 2
USB Mass Storage support registered.
Adding Swap: 16024k swap-space (priority -1)
device wl0 entered promiscuous mode
br-lan: port 2(wl0) entering learning state
br-lan: port 2(wl0) entering forwarding state
br-lan: topology change detected, propagating
jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay
root@OpenWrt:/# mount /dev/scsi/host0/bus0/target0/lun0/part2 /mnt
EXT2-fs warning: mounting unchecked fs, running e2fsck is recommended

root@OpenWrt:/# e2fs
root@OpenWrt:/# e2fsck [J[7De2fsck m o u n t / d e v / s c s i / h o s t 0 / b u s 0 / t a r g e t 0 / l u n 0 / p a r t 2 / m n t [53De2fsck mount /dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2 [42D/dev/scsi/host0/bus0/target0/lun0/part2
e2fsck 1.41.11 (14-Mar-2010)
/dev/scsi/host0/bus0/target0/lun0/part2 is mounted.

WARNING!!! The filesystem is mounted. If you continue you *WILL*
cause *SEVERE* filesystem damage.

Do you really want to continue (y/n)? no

check aborted.
root@OpenWrt:/#
root@OpenWrt:/# e2fsck /dev/scsi/host0/bus0/target0/lun0/part2 [J
root@OpenWrt:/# mount /dev/scsi/host0/bus0/target0/lun0/part2 /mnt[J[50Dumount /dev/scsi/host0/bus0/target0/lun0/part2 /mnt[50Dmount /dev/scsi/host0/bus0/target0/lun0/part2 /mnt nt t
root@OpenWrt:/#
root@OpenWrt:/# umount /dev/scsi/host0/bus0/target0/lun0/part2 [J
root@OpenWrt:/# e2fsck /dev/scsi/host0/bus0/target0/lun0/part2 [J
e2fsck 1.41.11 (14-Mar-2010)
Unable to handle kernel paging request at virtual address 0000001b, epc == c024dc24, ra == c024db58

Oops in fault.c::do_page_fault, line 206:

$0 : 00000000 1000fc00 805f84a0 00000000 80841bf8 00000000 00000000 80841ba0

$8 : 00000000 801316b8 00000000 80184000 00000000 a07de180 00000200 00406998

$16: 80719000 80678b7c 00000000 00004000 00000489 80719000 c0008280 00000000

$24: 00000001 c00d3cdc 808c6000 808c7df8 00000000 c024db58

Hi : 00000000

Lo : 00000b00

epc : c024dc24 Tainted: P

Status: 1000fc03

Cause : 00000008

PrId : 00029007

Process usb-storage-0 (pid: 477, stackpage=808c6000)

Stack: 00000000 8023bfc8 00000400 c024d398 80018400 02000001 80678a00

80678b7c c0008280 00300000 808c7e90 00004000 805f8480 c0250000 8023bfc8

c024e0c0 805f8540 0000001f 805f8480 c0250000 80719000 00000004 00004000

00000030 ffffff7d 80678a00 00004000 80678a00 00000000 8071a400 c024e320

8023bfc8 c024d348 00000003 00000400 808c7eb8 00004000 808c7e90 1000fc01

80678a08 ...

Call Trace: [<c024d398>] [<80018400>] [<c0250000>] [<c024e0c0>] [<c0250000>]

[<c024e320>] [<c024d348>] [<c024ee9c>] [<80010000>] [<80010000>] [<c00d0000>]

[<c024e444>] [<80010000>] [<c025b7d4>] [<80010000>] [<c025b7d4>] [<c024cbd4>]

[<c024fa40>] [<c00c8298>] [<c024f5a0>] [<c025b7d4>] [<c024f5a0>] [<80003570>]

[<80011a20>] [<c024ebe0>] [<c00ca02c>] [<8000b45c>] [<80003560>]

Code: 8e030004 01021021 8c470000 <9064001b> 3c02801a 244275d4 00042080 00822021 8c820000

comment:10 in reply to: ↑ 8 ; follow-up: Changed 7 years ago by anonymous

Replying to pesos <mormo_dark@…>:

btw. i dont know for what i must copy overlay on stick ? :)

If you want to use external rootfs you don't need to copy the hole flash content to usbstick. Just only the content of the /overlay dir to the root of the stick as it will only store the changes you made to the rootfs and all after the system has booted, not while.

Beside that the

... running e2fsck is recommended
WARNING!!! The filesystem is mounted.

maybe you have to mkfs.ext{2,3,4} p2 for that stick to get a proper overlay and than copy the /overlay to usbstick.

Or take a look at forum http://forum.openwrt.org/viewtopic.php?pid=107591

Regards

comment:11 in reply to: ↑ 10 Changed 7 years ago by pesos <mormo_dark@…>

Replying to anonymous:

Replying to pesos <mormo_dark@…>:

btw. i dont know for what i must copy overlay on stick ? :)

If you want to use external rootfs you don't need to copy the hole flash content to usbstick. Just only the content of the /overlay dir to the root of the stick as it will only store the changes you made to the rootfs and all after the system has booted, not while.

Beside that the

... running e2fsck is recommended
WARNING!!! The filesystem is mounted.

maybe you have to mkfs.ext{2,3,4} p2 for that stick to get a proper overlay and than copy the /overlay to usbstick.

Or take a look at forum http://forum.openwrt.org/viewtopic.php?pid=107591

Regards

I tested extroot on 2.6 and i don't copy anythink on usb stick. And external root works fine. And i have file system on stick, is ext2. For test i make ext3 but no results.

thanks for reply and help

comment:12 Changed 7 years ago by pesos <mormo_dark@…>

hi,

I download latest svn brcm-24 and looks overlay mount two times. Logs in attach.

Changed 7 years ago by pesos <mormo_dark@…>

openwrt_externalroot_usb.txt

comment:13 Changed 7 years ago by pesos <mormo_dark@…>

When I wrote the post above, I had no option 'option target'. Probably because the mount as above in the logs. But when properly configured fstab overlay is mounted on / rom / overlay a total give nothing?

Changed 7 years ago by pesos <mormo_dark@…>

comment:14 Changed 7 years ago by nbd

when posting kernel crashes, please enable CONFIG_KERNEL_KALLSYMS (Compile the kernel with symbol table information) in the openwrt build system config

comment:15 Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in r22057

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.